<?php
/**
 * Plugin Chatbox
 * (c) 2013 g0uZ
 * Licence GNU/GPL
 */

if (!defined('_ECRIRE_INC_VERSION')) return;


/**
 * Fonction d'installation du plugin et de mise à jour.
 * Vous pouvez :
 * - créer la structure SQL,
 * - insérer du pre-contenu,
 * - installer des valeurs de configuration,
 * - mettre à jour la structure SQL 
**/
function chatbox_upgrade($nom_meta_base_version, $version_cible) {
	$maj = array();

	include_spip('inc/config');
	$maj['create'] = array(array('maj_tables', array('spip_chatbox_messages')));

	$maj['1.0.1']  = array(array('sql_alter','TABLE spip_chatbox_messages CHANGE message texte text NOT NULL'));
	
	include_spip('base/upgrade');
	maj_plugin($nom_meta_base_version, $version_cible, $maj);
}


/**
 * Fonction de désinstallation du plugin.
 * Vous devez :
 * - nettoyer toutes les données ajoutées par le plugin et son utilisation
 * - supprimer les tables et les champs créés par le plugin. 
**/
function chatbox_vider_tables($nom_meta_base_version) {
	# quelques exemples
	# (que vous pouvez supprimer !)
	# sql_drop_table("spip_xx");
	# sql_drop_table("spip_xx_liens");

	sql_drop_table("spip_chatbox_messages");

	# Nettoyer les versionnages et forums
	sql_delete("spip_versions",              sql_in("objet", array('chatbox_message')));
	sql_delete("spip_versions_fragments",    sql_in("objet", array('chatbox_message')));
	sql_delete("spip_forum",                 sql_in("objet", array('chatbox_message')));

	effacer_meta($nom_meta_base_version);
}

?>
